Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.tpm.management.configuration
Interface ServiceProfileMBean

All Superinterfaces:
  weblogic.management.configuration.ConfigurationMBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, TPMBaseMBean, weblogic.management.WebLogicMBean

public interface ServiceProfileMBean
extends TPMBaseMBean

The class represents a service profile, which can be defined for a service. A service profile defines the interactions that two B2B trading partners agree to carry out, along with a specification for the business protocol implementation details such as messaging characteristics, security constraints, transport mechanisms, and workflow processes. Linking to the appropriate bindings for each trading partner specifies these characteristics.

For each service profile is composed of a local trading partner and one of its binding and a remote/external trading partner and one of its binding.

See Also:
  `ServiceMBean`, `TradingPartnerMBean`, `BindingMBean`

Field Summary
`static String` | `MSG_LEVEL_ALL`
`static String` | `MSG_LEVEL_DEFAULT`
`static String` | `MSG_LEVEL_METADATA`
`static String` | `MSG_LEVEL_NONE`
`static String` | `STATUS_DISABLED`
`static String` | `STATUS_ENABLED`
`static String` | `STATUS_NONE`

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`String` | `getLocalBinding()` Internal Use Only - Returns the binding for local trading partner
`String` | `getLocalTradingPartnerName()` Internal Use Only - Returns the name of local trading partner
`String` | `getMessageTrackingLevel()` Specifies the message tracking level for this service profile.
`String` | `getRemoteBinding()` Internal Use Only - Returns the binding for remote trading partner
`String` | `getRemoteTradingPartnerName()` Internal Use Only - Returns the name of remote trading partner
`String` | `getServiceName()` Internal Use Only - Returns the name of the service for this service profile
`String` | `getServiceProfileId()` Retrieves the Service Profile ID of this entity.
`String` | `getStatus()` Specifies the deployed status of the current service profile.
`BindingMBean` | `retrieveLocalBinding()` Retrieves the Binding for an local TradingPartnerMBean for this service profile.
`TradingPartnerMBean` | `retrieveLocalTradingPartner()` Retrieves the Local TradingPartnerMBean for this profile.
`BindingMBean` | `retrieveRemoteBinding()` Retrieves the Binding for an external/remote TradingPartnerMBean for this service profile.
`TradingPartnerMBean` | `retrieveRemoteTradingPartner()` Retrieves the External TradingPartnerMBean for this profile.
`ServiceMBean` | `retrieveService()` Retrieves the Service, with which this service profile is associated
`void` | `setLocalBinding(String bindingName)` Registers the Binding for an local TradingPartnerMBean for this service profile.
`void` | `setLocalTradingPartnerName(String name)` Registers the local TradingPartnerMBean for this service profile.
`void` | `setMessageTrackingLevel(String newValue)` Registers the message tracking level for this service profile.
`void` | `setRemoteBinding(String bindingName)` Registers the Binding for an external/remote TradingPartnerMBean for this service profile.
`void` | `setRemoteTradingPartnerName(String name)` Registers the external/remote TradingPartnerMBean for this service profile.
`void` | `setServiceProfileId(String newValue)` Specifies the Service Profile Id for this service Profile
`void` | `setStatus(String newValue)` Registers the deployement status of the current service profile.
`void` | `updateAll(String remoteBinding, String localBinding, String status, String messageTrackingLevel, String serviceProfileId)` Updates the service profile.

Methods inherited from interface com.bea.wli.tpm.management.configuration.TPMBaseMBean
`fromXML, getDelegateObject, isActive, publish, remove, setActive, setDelegateObject, toXML, toXMLInternal, update, updateInternal`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getAttributeStringValue, getComments, getNotes, getSetFields, getXml, getXmlConverter, isDefaultedMBean, isPersistenceEnabled, preDeregister, registerConfigMBean, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled, touch, unRegisterConfigMBean`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### MSG_LEVEL_NONE

    public static final String MSG_LEVEL_NONE

See Also:
  Constant Field Values

### MSG_LEVEL_DEFAULT

    public static final String MSG_LEVEL_DEFAULT

See Also:
  Constant Field Values

### MSG_LEVEL_METADATA

    public static final String MSG_LEVEL_METADATA

See Also:
  Constant Field Values

### MSG_LEVEL_ALL

    public static final String MSG_LEVEL_ALL

See Also:
  Constant Field Values

### STATUS_NONE

    public static final String STATUS_NONE

See Also:
  Constant Field Values

### STATUS_ENABLED

    public static final String STATUS_ENABLED

See Also:
  Constant Field Values

### STATUS_DISABLED

    public static final String STATUS_DISABLED

See Also:
  Constant Field Values

Method Detail

### getStatus

    public String getStatus()

  Specifies the deployed status of the current service profile. Status of the profile. Status can be either

  - ENABLED - Enabled to receive business messages from the partners specified in this service profile
  - DISABLED - WLI will not be able to receive and process business messages for the partners specified in this profile

### setStatus

    public void setStatus(String newValue)
                   throws javax.management.InvalidAttributeValueException

  Registers the deployement status of the current service profile. Status of the profile. Status can be either

  - ENABLED - Enabled to receive business messages from the partners specified in this service profile
  - DISABLED - WLI will not be able to receive and process business messages for the partners specified in this profile

  Parameters:
    `newValue` - - new value for attribute Status
  Throws:
    `javax.management.InvalidAttributeValueException` - - If the status is not one of the above

### getMessageTrackingLevel

    public String getMessageTrackingLevel()

  Specifies the message tracking level for this service profile. Message tracking levelcan be

  - DEFAULT - Global message tracking level is used.
  - NONE - No message tracking is required
  - METADATA - Only track metadata for the message
  - ALL - Track all metadata, all message payloads
  If message tracking level set, will override the global message tracking level as specified in TradingPartnerMgmtMBean

  See Also:
    `TradingPartnerMgmtMBean`

### setMessageTrackingLevel

    public void setMessageTrackingLevel(String newValue)
                                 throws javax.management.InvalidAttributeValueException

  Registers the message tracking level for this service profile. Message tracking levelcan be

  - DEFAULT - Global message tracking level is used.
  - NONE - No message tracking is required
  - METADATA - Only track metadata for the message
  - ALL - Track all metadata, all message payloads

  Parameters:
    `newValue` - - the message tracking level
  Throws:
    `javax.management.InvalidAttributeValueException` - - If none of the above values is specified

### retrieveRemoteTradingPartner

    public TradingPartnerMBean retrieveRemoteTradingPartner()
                                                     throws ManagementException

  Retrieves the External TradingPartnerMBean for this profile.

  Returns:
    - Returns the trading partner. `null` is no trading partner is associated.
  Throws:
    `ManagementException` - - If unable to find the external trading partner.

### retrieveLocalTradingPartner

    public TradingPartnerMBean retrieveLocalTradingPartner()
                                                    throws ManagementException

  Retrieves the Local TradingPartnerMBean for this profile.

  Returns:
    - Returns the trading partner. `null` is no trading partner is associated.
  Throws:
    `ManagementException` - - If unable to find the local trading partner.

### retrieveRemoteBinding

    public BindingMBean retrieveRemoteBinding()
                                       throws ManagementException

  Retrieves the Binding for an external/remote TradingPartnerMBean for this service profile.

  Returns:
    - Returns the binding. `null` is no binding was configured.
  Throws:
    `ManagementException` - - If unable to find the external trading partner' binding

### retrieveLocalBinding

    public BindingMBean retrieveLocalBinding()
                                      throws ManagementException

  Retrieves the Binding for an local TradingPartnerMBean for this service profile.

  Returns:
    - Returns the binding. `null` is no binding was configured.
  Throws:
    `ManagementException` - - If unable to find the local trading partner' binding

### setLocalBinding

    public void setLocalBinding(String bindingName)
                         throws ConfigurationException

  Registers the Binding for an local TradingPartnerMBean for this service profile.

  Parameters:
    `bindingName` - - Name of the binding
  Throws:
    `ConfigurationException`

### setRemoteBinding

    public void setRemoteBinding(String bindingName)
                          throws ConfigurationException

  Registers the Binding for an external/remote TradingPartnerMBean for this service profile.

  Parameters:
    `bindingName` - - Name of the binding
  Throws:
    `ConfigurationException`

### setLocalTradingPartnerName

    public void setLocalTradingPartnerName(String name)
                                    throws ConfigurationException

  Registers the local TradingPartnerMBean for this service profile.

  Parameters:
    `name` - - Name of the local Trading partner
  Throws:
    `ConfigurationException`

### setRemoteTradingPartnerName

    public void setRemoteTradingPartnerName(String name)
                                     throws ConfigurationException

  Registers the external/remote TradingPartnerMBean for this service profile.

  Parameters:
    `name` - - Name of the remote Trading partner
  Throws:
    `ConfigurationException`

### retrieveService

    public ServiceMBean retrieveService()
                                 throws ManagementException

  Retrieves the Service, with which this service profile is associated

  Returns:
    service for this profile
  Throws:
    `ManagementException` - - If unable to determine the service or the service is null

### getLocalTradingPartnerName

    public String getLocalTradingPartnerName()

  Internal Use Only - Returns the name of local trading partner

  Returns:
    - Name of the local trading partner

### getRemoteTradingPartnerName

    public String getRemoteTradingPartnerName()

  Internal Use Only - Returns the name of remote trading partner

  Returns:
    - Name of the remote/external trading partner

### getLocalBinding

    public String getLocalBinding()

  Internal Use Only - Returns the binding for local trading partner

  Returns:
    - Name of the remote/external trading partner

### getRemoteBinding

    public String getRemoteBinding()

  Internal Use Only - Returns the binding for remote trading partner

  Returns:
    - Name of the remote/external trading partner

### getServiceName

    public String getServiceName()

  Internal Use Only - Returns the name of the service for this service profile

  Returns:
    - name of the service

### getServiceProfileId

    public String getServiceProfileId()

  Retrieves the Service Profile ID of this entity.

  Returns:
    - Service Profile ID or null if not specified

### setServiceProfileId

    public void setServiceProfileId(String newValue)
                             throws javax.management.InvalidAttributeValueException

  Specifies the Service Profile Id for this service Profile

  Parameters:
    `newValue` - - service Id, can be null
  Throws:
    `javax.management.InvalidAttributeValueException`

### updateAll

    public void updateAll(String remoteBinding,
                          String localBinding,
                          String status,
                          String messageTrackingLevel,
                          String serviceProfileId)
                   throws javax.management.InvalidAttributeValueException,
                          UpdateException,
                          ObjectActiveException

  Updates the service profile.

  Parameters:
    `remoteBinding` - - name of the binding of the remote trading partner to use
    `localBinding` - - name of the binding of the local trading partner to use
    `status` - - Status of the profile. Status can be either

    - ENABLED
    - DISABLED

    `messageTrackingLevel` - - Setting for message tracking level for this service profile. Message tracking level can be

    - DEFAULT - Global message tracking level is used.
    - NONE - No message tracking is required
    - METADATA - Only track metadata for the message
    - ALL - Track all metadata, all message payloads
    If message tracking level set, will override the global message tracking level as specified in TradingPartnerMgmtMBean
    `serviceProfileId` - - Setting for id for this service profile.
  Throws:
    `javax.management.InvalidAttributeValueException`
    `UpdateException`
    `ObjectActiveException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD